'use strict';

/**
 * Represents a value for unknown argument. This is a last resort type to use,
 * which allows both wrappers and regular values. It's primary use is when type
 * cannot be determined from the use of argument.
 */

/**
 * Represents a value for a value argument.
 *
 * Example of argument: `{value}`.
 */

/**
 * Represents a value for an rich text formatting argument.
 *
 * Example of argument: `<value></value>`.
 */

/**
 * Represents a value for a number argument.
 *
 * Example of argument: `{value, number}`.
 */

/**
 * Represents a value for a date or time argument.
 *
 * Example of arguments:
 *
 * - `{value, date}`
 * - `{value, time}`
 */

/** Represents a valid keyword in selector. */

/**
 * Represents a value for a select argument where `KeywordUnion` is a union of
 * string/number keywords.
 *
 * Example of argument: `{value, select, cat {Cat} other {Animal}}`.
 *
 * For the example above the `KeywordUnion` must be: `'cat' | 'other'`.
 */

const _arguments = {};

module.exports = _arguments;
