import * as vue_types_v3_component_options_js from 'vue/types/v3-component-options.js';
import * as intl_messageformat from 'intl-messageformat';
import * as _braw_extended_intl from '@braw/extended-intl';
import * as vue from 'vue';
import { PropType, VNode } from 'vue';
import { b as MessageDescriptor, c as MessageContent } from './messages-4c34bad5.js';
import './locales-8cef3d6b.js';
import '@formatjs/intl';
import '@formatjs/icu-messageformat-parser';

declare const IntlFormatted: vue.DefineComponent<{
    messageId: {
        type: PropType<string | MessageDescriptor<string>>;
        required: false;
        default: null;
    };
    message: {
        type: PropType<MessageContent>;
        default: null;
    };
    values: {
        type: PropType<Record<string, vue.VNode | _braw_extended_intl.CompactNumber | intl_messageformat.PrimitiveType | intl_messageformat.FormatXMLElementFn<vue.VNode | _braw_extended_intl.CompactNumber, string | vue.VNode | _braw_extended_intl.CompactNumber | (string | vue.VNode | _braw_extended_intl.CompactNumber)[]>>>;
        default(): Record<string, vue.VNode | _braw_extended_intl.CompactNumber | intl_messageformat.PrimitiveType | intl_messageformat.FormatXMLElementFn<vue.VNode | _braw_extended_intl.CompactNumber, string | vue.VNode | _braw_extended_intl.CompactNumber | (string | vue.VNode | _braw_extended_intl.CompactNumber)[]>>;
    };
    tags: {
        type: PropType<string[]>;
        default(): never[];
    };
}, {}, {}, vue.ComponentComputedOptions, vue.ComponentMethodOptions, vue_types_v3_component_options_js.ComponentOptionsMixin, vue_types_v3_component_options_js.ComponentOptionsMixin, {}, string, Readonly<vue.ExtractPropTypes<{
    messageId: {
        type: PropType<string | MessageDescriptor<string>>;
        required: false;
        default: null;
    };
    message: {
        type: PropType<MessageContent>;
        default: null;
    };
    values: {
        type: PropType<Record<string, vue.VNode | _braw_extended_intl.CompactNumber | intl_messageformat.PrimitiveType | intl_messageformat.FormatXMLElementFn<vue.VNode | _braw_extended_intl.CompactNumber, string | vue.VNode | _braw_extended_intl.CompactNumber | (string | vue.VNode | _braw_extended_intl.CompactNumber)[]>>>;
        default(): Record<string, vue.VNode | _braw_extended_intl.CompactNumber | intl_messageformat.PrimitiveType | intl_messageformat.FormatXMLElementFn<vue.VNode | _braw_extended_intl.CompactNumber, string | vue.VNode | _braw_extended_intl.CompactNumber | (string | vue.VNode | _braw_extended_intl.CompactNumber)[]>>;
    };
    tags: {
        type: PropType<string[]>;
        default(): never[];
    };
}>>, {
    values: Record<string, vue.VNode | _braw_extended_intl.CompactNumber | intl_messageformat.PrimitiveType | intl_messageformat.FormatXMLElementFn<vue.VNode | _braw_extended_intl.CompactNumber, string | vue.VNode | _braw_extended_intl.CompactNumber | (string | vue.VNode | _braw_extended_intl.CompactNumber)[]>>;
    message: MessageContent;
    messageId: string | MessageDescriptor<string>;
    tags: string[];
}>;

declare const Fragment: vue.DefineComponent<{
    of: {
        type: PropType<VNode | VNode[]>;
        validate(value: unknown): value is VNode | VNode[];
        default(): VNode[];
    };
}, {}, {}, vue.ComponentComputedOptions, vue.ComponentMethodOptions, vue_types_v3_component_options_js.ComponentOptionsMixin, vue_types_v3_component_options_js.ComponentOptionsMixin, {}, string, Readonly<vue.ExtractPropTypes<{
    of: {
        type: PropType<VNode | VNode[]>;
        validate(value: unknown): value is VNode | VNode[];
        default(): VNode[];
    };
}>>, {
    of: VNode | VNode[];
}>;

export { Fragment, IntlFormatted };
