import { C as ControllerConfiguration, I as IntlController } from './config-581f4135.js';
export { I as IntlController } from './config-581f4135.js';
import './messages-4c34bad5.js';
import { L as LocaleDescriptor, a as Locale } from './locales-8cef3d6b.js';
import './sources-02c94682.js';
import 'vue';
import './ErrorEvent-032e1b23.js';
import './intl-0143b193.js';
import '@braw/extended-intl';
import '@braw/async-computed';
import '@formatjs/intl';
import '@formatjs/icu-messageformat-parser';

declare function createController<ControllerType>(initialConfiguration?: Partial<ControllerConfiguration<ControllerType>>, initialLocaleData?: Map<LocaleDescriptor, Locale>): IntlController<ControllerType>;

export { createController };
